<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="84c9e5ca-eb2c-413b-a858-1d19b01d5e5b" name="变更" comment="4.13" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Interface" />
        <option value="Enum" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$PROJECT_DIR$/../../environment/apache-maven-3.8.7" />
        <option name="useMavenConfig" value="true" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="jreName" value="1.8 (2)" />
  </component>
  <component name="ProjectId" id="2MoNGgWCqtSXVy6EjanEiE4vFpu" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/DLP/dlp-reagent-managment/src/main/java/digital/laboratory/platform/reagent/controller&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.pluginManager&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;e1b537e498342b3e852f8ae37a338b30&quot;
  },
  &quot;keyToStringList&quot;: {
    &quot;DatabaseDriversLRU&quot;: [
      &quot;mysql&quot;
    ]
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\DLP\dlp-reagent-managment\src\main\java\digital\laboratory\platform\reagent\controller" />
      <recent name="D:\DLP\dlp-reagent-managment\src\main\resources\mapper" />
      <recent name="D:\DLP\dlp-reagent-managment\src\main\java\digital\laboratory\platform\reagent\service\impl" />
      <recent name="D:\DLP\dlp-reagent-managment\src\main\java\digital\laboratory\platform\reagent\service" />
      <recent name="D:\DLP\dlp-reagent-managment\src\main\java\digital\laboratory\platform\reagent\mapper" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="digital.laboratory.platform.reagent.config" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="未命名" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <option name="ACTIVE_PROFILES" />
      <module name="dlp-utilities" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="digital.laboratory.platform.reagent.ReagentManagmentApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="84c9e5ca-eb2c-413b-a858-1d19b01d5e5b" name="变更" comment="" />
      <created>1678429881754</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1678429881754</updated>
      <workItem from="1678429883065" duration="2484000" />
      <workItem from="1678432374353" duration="49000" />
      <workItem from="1678432753230" duration="1379000" />
      <workItem from="1678434833015" duration="6037000" />
      <workItem from="1678669338975" duration="2482000" />
      <workItem from="1678671930240" duration="5528000" />
      <workItem from="1678679404655" duration="1433000" />
      <workItem from="1678687115984" duration="2916000" />
      <workItem from="1678690316717" duration="3111000" />
      <workItem from="1678695132199" duration="979000" />
      <workItem from="1678696216528" duration="1168000" />
      <workItem from="1678697470161" duration="1697000" />
      <workItem from="1678699497345" duration="1761000" />
      <workItem from="1678755842900" duration="6584000" />
      <workItem from="1678762854893" duration="4317000" />
      <workItem from="1678773794224" duration="710000" />
      <workItem from="1678774731732" duration="2171000" />
      <workItem from="1678777082021" duration="6327000" />
      <workItem from="1678783815043" duration="4681000" />
      <workItem from="1678807038390" duration="125000" />
      <workItem from="1678849456447" duration="18762000" />
      <workItem from="1678867874350" duration="3143000" />
      <workItem from="1678871273154" duration="3578000" />
      <workItem from="1678928423593" duration="23062000" />
      <workItem from="1678958111942" duration="570000" />
      <workItem from="1678958765249" duration="2608000" />
      <workItem from="1678975934346" duration="4000" />
      <workItem from="1679014668890" duration="26879000" />
      <workItem from="1679274009195" duration="18335000" />
      <workItem from="1679300285760" duration="6754000" />
      <workItem from="1679360591557" duration="2161000" />
      <workItem from="1679362917535" duration="3349000" />
      <workItem from="1679366469425" duration="986000" />
      <workItem from="1679367576370" duration="1529000" />
      <workItem from="1679369645518" duration="694000" />
      <workItem from="1679370474838" duration="340000" />
      <workItem from="1679370889590" duration="8974000" />
      <workItem from="1679387485299" duration="5639000" />
      <workItem from="1679446768931" duration="630000" />
      <workItem from="1679448144707" duration="9960000" />
      <workItem from="1679464928618" duration="2971000" />
      <workItem from="1679472803488" duration="4303000" />
      <workItem from="1679477244805" duration="668000" />
      <workItem from="1679478073329" duration="1252000" />
      <workItem from="1679533059731" duration="9838000" />
      <workItem from="1679551296525" duration="12590000" />
      <workItem from="1679619645592" duration="23151000" />
      <workItem from="1679824707171" duration="1435000" />
      <workItem from="1679909639024" duration="952000" />
      <workItem from="1679911478145" duration="3770000" />
      <workItem from="1679965959984" duration="15407000" />
      <workItem from="1680050907880" duration="9827000" />
      <workItem from="1680061935691" duration="16725000" />
      <workItem from="1680156000970" duration="815000" />
      <workItem from="1680229544321" duration="1095000" />
      <workItem from="1680231022478" duration="5131000" />
      <workItem from="1680242660406" duration="10333000" />
      <workItem from="1680256014432" duration="850000" />
      <workItem from="1680257258606" duration="291000" />
      <workItem from="1680483496240" duration="18858000" />
      <workItem from="1680511437381" duration="1090000" />
      <workItem from="1680512544339" duration="3856000" />
      <workItem from="1680570058160" duration="330000" />
      <workItem from="1680570725430" duration="7069000" />
      <workItem from="1680577806153" duration="172000" />
      <workItem from="1680577990955" duration="6627000" />
      <workItem from="1680593458097" duration="9434000" />
      <workItem from="1680742925323" duration="11595000" />
      <workItem from="1680761371129" duration="1359000" />
      <workItem from="1680762850669" duration="5420000" />
      <workItem from="1680768923915" duration="5900000" />
      <workItem from="1680775191381" duration="275000" />
      <workItem from="1680829227828" duration="19447000" />
      <workItem from="1680856606492" duration="304000" />
      <workItem from="1680856968841" duration="407000" />
      <workItem from="1680857472642" duration="782000" />
      <workItem from="1680858496064" duration="303000" />
      <workItem from="1680860028618" duration="706000" />
      <workItem from="1681088743455" duration="10597000" />
      <workItem from="1681106733486" duration="158000" />
      <workItem from="1681106924377" duration="13833000" />
      <workItem from="1681174897970" duration="9483000" />
      <workItem from="1681194298954" duration="10405000" />
      <workItem from="1681208149121" duration="305000" />
      <workItem from="1681262497438" duration="18128000" />
      <workItem from="1681288390281" duration="1366000" />
      <workItem from="1681352714028" duration="22666000" />
      <workItem from="1681390440499" duration="1028000" />
      <workItem from="1681398058779" duration="586000" />
    </task>
    <task id="LOCAL-00001" summary="3.14">
      <created>1678807139837</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1678807139837</updated>
    </task>
    <task id="LOCAL-00002" summary="3.14">
      <created>1678938885216</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1678938885216</updated>
    </task>
    <task id="LOCAL-00003" summary="3.20">
      <created>1679279754153</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1679279754153</updated>
    </task>
    <task id="LOCAL-00004" summary="3.20">
      <created>1679279777349</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1679279777349</updated>
    </task>
    <task id="LOCAL-00005" summary="3.21">
      <created>1679360632490</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1679360632490</updated>
    </task>
    <task id="LOCAL-00006" summary="3.22">
      <created>1679535039745</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1679535039745</updated>
    </task>
    <task id="LOCAL-00007" summary="4.13">
      <created>1681398620239</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1681398620239</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="620af39f-ed60-4639-a1ec-1db7cc5b94d6">
          <value>
            <State>
              <option name="SHOW_ONLY_AFFECTED_CHANGES" value="true" />
              <option name="FILTERS">
                <map>
                  <entry key="branch">
                    <value>
                      <list>
                        <option value="HEAD" />
                      </list>
                    </value>
                  </entry>
                  <entry key="structure">
                    <value>
                      <list>
                        <option value="dir:D:/DLP/dlp-reagent-managment/src/main/java/digital/laboratory/platform/reagent" />
                      </list>
                    </value>
                  </entry>
                </map>
              </option>
            </State>
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="OPEN_GENERIC_TABS">
      <map>
        <entry key="620af39f-ed60-4639-a1ec-1db7cc5b94d6" value="TOOL_WINDOW" />
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="3.14" />
    <MESSAGE value="3.20" />
    <MESSAGE value="3.21" />
    <MESSAGE value="3.22" />
    <MESSAGE value="4.13" />
    <option name="LAST_COMMIT_MESSAGE" value="4.13" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/digital/laboratory/platform/reagent/service/impl/PurchaseListServiceImpl.java</url>
          <line>51</line>
          <option name="timeStamp" value="16" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/digital/laboratory/platform/reagent/service/impl/DeliveryRegistrationFormServiceImpl.java</url>
          <line>165</line>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/digital/laboratory/platform/reagent/service/impl/CheckScheduleServiceImpl.java</url>
          <line>73</line>
          <option name="timeStamp" value="19" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>